#ifndef DAQ_ASTRI_H_
#define DAQ_ASTRI_H_

#include <Base_DAQ.h>


class AstriDAQ : public BaseDAQ {

private:
	BasePacket *packet;
	int runID;

public:
	AstriDAQ(BaseProtocol &, BaseArchiver &, BaseProvider &, BaseChecker &, BasePacket &, BaseMonitor &);

	void init();
	void start(int initialState);
	void stop();
	void switchState(const int);
	std::string getStateStr();
	int deliverPacket();

	void setRunID(int);
	int getRunID();
	void incrementRunID();


};

#endif /* DAQ_ASTRI_H_ */
